> For the complete documentation index, see [llms.txt](https://docs.matrixian.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matrixian.com/woningdata/woningkenmerken-api.md).

# Woningkenmerken API

Aan de hand van een postcode en huisnummer kunt u alle relevante informatie ophalen over een object. Naast standaard karakteristieken zoals oppervlakte, bouwjaar en energielabel levert dit endpoint ook informatie over bijv. het aantal kamers en andere informatie uit online listings. Dit endpoint levert geen kadasterinformatie.

### Voor wie is het?

* U wilt alles weten over een specifiek object
* U wilt de kosten graag zo laag mogelijk houden omdat u bijvoorbeeld grote volumes wilt draaien
* U bent niet geïnteresseerd in koopsommen of andere financiële informatie

### Wat moet ik weten?

* Dit endpoint levert informatie uit meerdere bronnen. De kapstok waar deze data aan wordt opgehangen is de BAG. U kunt de output makkelijk koppelen aan de BAG.
* Dit endpoint bevat geen financiële kadasterinformatie
* Ook geïnteresseerd in de waarde van een object? Combineer deze API dan gemakkelijk met Home Value API. Zo bent u voordeliger uit dan met kadasterdata API's

## GET /mx-house-details

> Returns detailed property data for an address.

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"AddressInput":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extension","type":"string","nullable":true}},"type":"object","required":["postalCode","houseNumber"],"title":"AddressInput"},"HouseDetailsResponse":{"properties":{"municipalityCode":{"title":"Municipality Code","description":"Municipality code (gemeente)","type":"string","nullable":true},"neighborhoodCode":{"title":"Neighborhood Code","description":"Neighborhood code (buurt)","type":"string","nullable":true},"quarterCode":{"title":"Quarter Code","description":"Quarter code (wijk)","type":"string","nullable":true},"latitude":{"title":"Latitude","description":"Latitude (WGS-84)","type":"number","nullable":true},"longitude":{"title":"Longitude","description":"Longitude (WGS-84)","type":"number","nullable":true},"objectType":{"description":"The type of dwelling.","$ref":"#/components/schemas/HouseTypeComplete","nullable":true},"buildYear":{"title":"Buildyear","description":"Indication of the year in which the building will originally be delivered in, or is architecturally ready. Also known as construction year.","type":"integer","nullable":true},"livingSurface":{"title":"Livingsurface","description":"The usable surface area (m2) inside the object with a residential function.","type":"integer","nullable":true},"otherIndoorSpace":{"title":"Otherindoorspace","description":"The usable surface area (m2) inside the object without a residential function.","type":"integer","nullable":true},"useSurface":{"title":"Usesurface","description":"The usable surface area of a property object in square meters.","type":"integer","nullable":true},"parcelSurface":{"title":"Parcelsurface","description":"The lot/parcel surface in m2.","type":"integer","nullable":true},"energyLabel":{"description":"A label indicating how well the property object is insulated.","$ref":"#/components/schemas/EnergyLabel","nullable":true},"energyLabelIsRegistered":{"title":"Energylabelisregistered","description":"Boolean indicating whether the energy label has been registered.","type":"boolean","nullable":true},"energyLabelRegistrationValidUntil":{"title":"Energylabelregistrationvaliduntil","description":"Date until which the energy label is valid.","type":"string","format":"date","nullable":true},"description":{"title":"Description","description":"Description of the property object.","type":"string","nullable":true},"numberOfRooms":{"title":"Numberofrooms","description":"Number of rooms.","type":"integer","nullable":true},"numberOfBedrooms":{"title":"Numberofbedrooms","description":"Number of bedrooms.","type":"integer","nullable":true},"numberOfBathrooms":{"title":"Numberofbathrooms","description":"Number of bathrooms.","type":"integer","nullable":true},"numberOfToilets":{"title":"Numberoftoilets","description":"Number of toilets.","type":"integer","nullable":true},"attachedOutdoorSpace":{"title":"Attachedoutdoorspace","description":"Attached outdoor spaces in m2.","type":"integer","nullable":true},"externalStorageSpace":{"title":"Externalstoragespace","description":"External storage space in m2.","type":"integer","nullable":true},"volume":{"title":"Volume","description":"Volume in m3.","type":"integer","nullable":true},"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extension","type":"string","nullable":true}},"type":"object","required":["postalCode","houseNumber"],"title":"HouseDetailsResponse"},"HouseTypeComplete":{"enum":["Appartement","Galerijflat","Maisonnette","Portiekwoning","Portiekflat","Corridorflat","Bovenwoning","Benedenwoning","Tussenwoning","Geschakelde woning","Eindwoning","Hoekwoning","2-onder-1-kapwoning","Geschakelde 2-onder-1-kapwoning","Halfvrijstaande woning","Vrijstaande woning","Woonboot"],"title":"HouseTypeComplete","type":"string"},"EnergyLabel":{"enum":["A+++++","A++++","A+++","A++","A+","A","B","C","D","E","F","G"],"title":"EnergyLabel","type":"string"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/mx-house-details":{"get":{"description":"Returns detailed property data for an address.","operationId":"HouseDetails","parameters":[{"description":"Postal code","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postalCode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extension","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"}],"responses":{"200":{"description":"HouseDetailsResponse","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"$ref":"#/components/schemas/HouseDetailsResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## The HouseDetailsResponse object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"HouseDetailsResponse":{"properties":{"municipalityCode":{"title":"Municipality Code","description":"Municipality code (gemeente)","type":"string","nullable":true},"neighborhoodCode":{"title":"Neighborhood Code","description":"Neighborhood code (buurt)","type":"string","nullable":true},"quarterCode":{"title":"Quarter Code","description":"Quarter code (wijk)","type":"string","nullable":true},"latitude":{"title":"Latitude","description":"Latitude (WGS-84)","type":"number","nullable":true},"longitude":{"title":"Longitude","description":"Longitude (WGS-84)","type":"number","nullable":true},"objectType":{"description":"The type of dwelling.","$ref":"#/components/schemas/HouseTypeComplete","nullable":true},"buildYear":{"title":"Buildyear","description":"Indication of the year in which the building will originally be delivered in, or is architecturally ready. Also known as construction year.","type":"integer","nullable":true},"livingSurface":{"title":"Livingsurface","description":"The usable surface area (m2) inside the object with a residential function.","type":"integer","nullable":true},"otherIndoorSpace":{"title":"Otherindoorspace","description":"The usable surface area (m2) inside the object without a residential function.","type":"integer","nullable":true},"useSurface":{"title":"Usesurface","description":"The usable surface area of a property object in square meters.","type":"integer","nullable":true},"parcelSurface":{"title":"Parcelsurface","description":"The lot/parcel surface in m2.","type":"integer","nullable":true},"energyLabel":{"description":"A label indicating how well the property object is insulated.","$ref":"#/components/schemas/EnergyLabel","nullable":true},"energyLabelIsRegistered":{"title":"Energylabelisregistered","description":"Boolean indicating whether the energy label has been registered.","type":"boolean","nullable":true},"energyLabelRegistrationValidUntil":{"title":"Energylabelregistrationvaliduntil","description":"Date until which the energy label is valid.","type":"string","format":"date","nullable":true},"description":{"title":"Description","description":"Description of the property object.","type":"string","nullable":true},"numberOfRooms":{"title":"Numberofrooms","description":"Number of rooms.","type":"integer","nullable":true},"numberOfBedrooms":{"title":"Numberofbedrooms","description":"Number of bedrooms.","type":"integer","nullable":true},"numberOfBathrooms":{"title":"Numberofbathrooms","description":"Number of bathrooms.","type":"integer","nullable":true},"numberOfToilets":{"title":"Numberoftoilets","description":"Number of toilets.","type":"integer","nullable":true},"attachedOutdoorSpace":{"title":"Attachedoutdoorspace","description":"Attached outdoor spaces in m2.","type":"integer","nullable":true},"externalStorageSpace":{"title":"Externalstoragespace","description":"External storage space in m2.","type":"integer","nullable":true},"volume":{"title":"Volume","description":"Volume in m3.","type":"integer","nullable":true},"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extension","type":"string","nullable":true}},"type":"object","required":["postalCode","houseNumber"],"title":"HouseDetailsResponse"},"HouseTypeComplete":{"enum":["Appartement","Galerijflat","Maisonnette","Portiekwoning","Portiekflat","Corridorflat","Bovenwoning","Benedenwoning","Tussenwoning","Geschakelde woning","Eindwoning","Hoekwoning","2-onder-1-kapwoning","Geschakelde 2-onder-1-kapwoning","Halfvrijstaande woning","Vrijstaande woning","Woonboot"],"title":"HouseTypeComplete","type":"string"},"EnergyLabel":{"enum":["A+++++","A++++","A+++","A++","A+","A","B","C","D","E","F","G"],"title":"EnergyLabel","type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.matrixian.com/woningdata/woningkenmerken-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
